#!/bin/sh

set -e

sudo apt-get install git zsh curl wget
git clone https://git.246060.ru/config/zsh $HOME/.config/zsh

cat <<EOF > $HOME/.zshenv
# Загрузка конфигурации из каталога \$ZDOTDIR
export ZDOTDIR=\$HOME/.config/zsh
source \$ZDOTDIR/.zshenv
EOF

sudo usermod -s $(which zsh) $(whoami)

TEMP="${XDG_RUNTIME_DIR:-/tmp}"
wget -P "$TEMP" -c -r -nd --no-parent -A "fonts-iosevka-prog-nerd_*_all.deb" https://deb.246060.ru/bin/fonts/pool/main/f/fonts-iosevka-prog-nerd/
sudo dpkg -i "$TEMP"/fonts-iosevka-prog-nerd_*_all.deb
rm -f "$TEMP"/fonts-iosevka-prog-nerd_*_all.deb

